<?php
// array for JSON response
$response = array();

//check for required fields
if ( isset($_POST['VehicleID']) && isset($_POST['BookingID']) 
	&& isset($_POST['BookingDate']) && isset($_POST['BookingDetail'])
	&& isset($_POST['BookingCharges'])
	&& isset($_POST['SerialNo']) && isset($_POST['UpdatedDate']) 
	&& isset($_POST['ClientID']) && isset($_POST['ClientUserID']) 
	&& isset($_POST['NetCode']) && isset($_POST['SysCode']) ){

		$BookingID = $_POST['BookingID'];
		$VehicleID = $_POST['VehicleID'];
  		$BookingDate = $_POST['BookingDate'];
		$BookingDetail = $_POST['BookingDetail'];
  		$BookingCharges = $_POST['BookingCharges'];
		$SerialNo = $_POST['SerialNo'];
  		$UpdatedDate = $_POST['UpdatedDate'];
  		$ClientID = $_POST['ClientID'];
  		$ClientUserID = $_POST['ClientUserID'];
  		$NetCode = $_POST['NetCode'];
  		$SysCode = $_POST['SysCode'];

      // include db connect class
      require_once __DIR__ . '/../DBConnect.php';

			    $UpdatedDate = date("Y-m-d H:i:s");

          $sql = "UPDATE Vehicle3Booking SET BookingID = '$BookingID', VehicleID = '$VehicleID', BookingDate = '$BookingDate', BookingDetail = '$BookingDetail', BookingCharges = '$BookingCharges',  SerialNo = '$SerialNo', ClientID = '$ClientID', ClientUserID = '$ClientUserID', NetCode = '$NetCode',
          SysCode = '$SysCode', UpdatedDate = '$UpdatedDate'  WHERE BookingID = '$BookingID' AND ClientID= '$ClientID' ";
          $params = array();
      		
      		 $result=0;
		try{	
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			$result= $stmt->rowCount();
		}
		catch(PDOException $e){
			echo $sql . "<br>" . $e->getMessage();
		}
		if ( $result!= 0) {
				$rows_affected= "No information available.";
				$response["success"] = 1;
				$response["roweffected"] = $result;
				$response["UpdatedDate"] = $UpdatedDate;
				$response["message"] = "Update Successfully";
				// echoing JSON response
				echo json_encode($response);
		}else{
				$response["success"] = 0;
				$response["roweffected"] = $result;      
				$response["message"] = "Not updated row ".$result;
				// echoing JSON response
				echo json_encode($response);
		}
    }else{
      // success
      $response["success"] = 0;
      $response["message"] = "No Update";
      // echoing JSON response
      echo json_encode($response);
    }
?>
